package net.northking.cctp.upperComputer.exception;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * 响应视图
 */
@ApiModel("响应视图")
public class ResponseVO<T> {

    /**
     * 响应编码
     */
    @ApiModelProperty(value = "响应编码", example = "success")
    private String code;

    /**
     * 响应信息
     */
    @ApiModelProperty(value = "响应信息", example = "成功")
    private String message;

    /**
     * 响应数据
     */
    @ApiModelProperty(value = "响应数据")
    private T data;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

}
